IR.AddListener(IR.EVENT_START,0,function()
{
      getweather();
//Update cycle in milliseconds
      IR.SetInterval(20000,getweather);
});

function getweather ()
{
var pWther  = {};
pWther.dev = IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "pWeather", "api.openweathermap.org", 80);
pWther.request = function(in_callback){
      pWther.dev.SetParameters({ConnectWaitTimeMax: 5000, ReceiveWaitTimeMax: 10000});
      pWther.dev.Connect(); // Must be
        pWther.dev.SendEx({
            Type: "GET",
            //Edit to set City, units and API key (https://home.openweathermap.org/api_keys)
            Url: "/data/2.5/weather?q=Moscow,Russia&units=metric&appid=072808c7b054b6b21a549dbbb3c936c0",
            cbReceiveText: function(text, code, headers) {
            if (code != 200) return; //parse other error codes
                var resp = JSON.Parse(text);
            IR.Log(text); 
            pWther.dev.Disconnect();                    
            in_callback(resp);
            },
        });
   };
//Attach data to channels here
pWther.request(function(resp) {
            IR.GetDevice("mqtt").Set("temp",resp.main.temp); 
            IR.GetDevice("mqtt").Set("pressure",resp.main.pressure);
  });
}